<p>
  user works!
</p>
<ng-content></ng-content>
<h3>{{ favTechnology }}</h3>

<h2>input text directives</h2>
<input type="text" value="{{inputVal}}"/>
<br/>
<br/>
<input type="text" required="{{isValidVal}}"/>

<h2>input text directives different way</h2>
<input type="text" [value]="inputVal"/>
<br/>
<br/>
<input type="text" [required]="isValidVal"/>